# Configuration file

~CONFIG_VERSION: 0.2.0

##########################################################################################################
# advanced
#--------------------------------------------------------------------------------------------------------#
# Advanced config options to change the way JEI functions.
##########################################################################################################

advanced {
    # Move the JEI search bar to the bottom center of the screen. [default: false]
    B:centerSearchBarEnabled=true
    B:debugModeEnabled=false

    # How the mod name should be formatted in the tooltip for JEI guis. Leave blank to disable. [Default: blue italic] [Valid: [black, dark_blue, dark_green, dark_aqua, dark_red, dark_purple, gold, gray, dark_gray, blue, green, aqua, red, light_purple, yellow, white, obfuscated, bold, strikethrough, underline, italic]]
    S:modNameFormat=blue italic
}


##########################################################################################################
# search
#--------------------------------------------------------------------------------------------------------#
# Options relating to the search bar.
##########################################################################################################

search {
    # Search mode for Item Colors (prefix: ^)
    # [Default: disabled]
    # [Valid: [enabled, require_prefix, disabled]]
    S:colorSearchMode=require_prefix

    # Search mode for Creative Tab Names (prefix: %)
    # [Default: require_prefix]
    # [Valid: [enabled, require_prefix, disabled]]
    S:creativeTabSearchMode=REQUIRE_PREFIX

    # Search mode for Mod Names (prefix: @)
    # [Default: require_prefix]
    # [Valid: [enabled, require_prefix, disabled]]
    S:modNameSearchMode=REQUIRE_PREFIX

    # Search mode for Ore Dictionary Names (prefix: $)
    # [Default: require_prefix]
    # [Valid: [enabled, require_prefix, disabled]]
    S:oreDictSearchMode=REQUIRE_PREFIX

    # Search mode for Tooltips (prefix: #)
    # [Default: enabled]
    # [Valid: [enabled, require_prefix, disabled]]
    S:tooltipSearchMode=ENABLED
}


